#
# spec file for package flint
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           flint
%define lname	libflint0
Version:        2.4.5
Release:        5.12
Summary:        C library for doing number theory
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://flintlib.org/

#Git-Clone:	git://github.com/wbhart/flint2 f14355e9070e235a68b933b3da8c238468e9a0e2 [2.4.4]
#Git-Clone:	git://git.inai.de/flint master ec03518870f1aff8bf351ba2c83a0e2a8ba3f7b0 [patch1]
Source:         http://flintlib.org/%name-%version.tar.gz
Patch1:         0001-build-provide-autotools-files.patch
Patch2:         0002-compile-fixes.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel >= 5
BuildRequires:  libtool
BuildRequires:  mpfr-devel >= 3
BuildRequires:  ntl-devel

%description
FLINT (Fast Library for Number Theory) is a C library in support of
computations in number theory. It is also a research project into
algorithms in number theory. At this stage, FLINT consists mainly of
fast integer and polynomial arithmetic and linear algebra.

%package -n %lname
Summary:        C library for doing number theory
Group:          System/Libraries

%description -n %lname
FLINT (Fast Library for Number Theory) is a C library in support of
computations in number theory. It is also a research project into
algorithms in number theory. At this stage, FLINT consists mainly of
fast integer and polynomial arithmetic and linear algebra.

%package devel
Summary:        Development files for flint
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
FLINT (Fast Library for Number Theory) is a C library in support of
computations in number theory. It is also a research project into
algorithms in number theory. At this stage, FLINT consists mainly of
fast integer and polynomial arithmetic and linear algebra.

This subpackage contains the include files and library links for
developing against the FLINT library.

%prep
%setup -q
%patch -P 1 -P 2 -p1

%build
chmod a+x *.sh
./autogen.sh
export CFLAGS="%optflags"
export CXXFLAGS="%optflags -std=gnu++11"
%ifarch x86_64 %ix86
export CFLAGS="$CFLAGS -mno-popcnt"
export CXXFLAGS="$CXXFLAGS -mno-popcnt"
%endif
%configure --disable-static --with-ntl --enable-reentrant --enable-silent-rules
make %{?_smp_mflags}

%install
b="%buildroot";
%make_install DESTDIR="$b"
rm -f "$b/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libflint.so.0*
%doc gpl-2.0.txt

%files devel
%defattr(-,root,root)
%_includedir/flint/
%_libdir/libflint.so

%changelog
* Fri Jun 26 2015 jengelh@inai.de
- Update to new upstream release 2.4.5
  * fixed a severe bug in flint's fmpz_poly_gcd_heuristic
* Thu Feb 19 2015 jengelh@inai.de
- Add 0002-compile-fixes.diff to fend off improper usage of NTL
  headers.
* Mon Oct 20 2014 schwab@suse.de
- Don't use unknown option -mno-popcnt
* Sun Aug 10 2014 jengelh@inai.de
- Update to new upstream release 2.4.4
  * Fix a bug in the ARM assembly
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 2.4.1
  * C++ expressions template wrapper
  * Fast factorisation of polynomials over Z/nZ
  * improved p-adics
  * polynomials/matrices over p-adics
  * qadics
  * Finite fields (small and large F_q), polynomials/matrices over F_q
  * Finite fields with Zech logarithm representation
  * Fast factorisation of polynomials over F_q
  * Faster Brent-Kung modular composition
  * New prime sieving code
  * Lambert-W function
  * Precomputed inverses for polynomials and large integers
  * Williams' P+1 integer factoring algorithm
  * Harvey's KS2/KS4 polynomial multiplication
  * Faster primality testing up to 64 bits
  * Support for GMP
  * Support for Boehm-Demers-Weiser GC
  * Support for flint extension modules
* Thu Dec  6 2012 jengelh@inai.de
- Initial package (version 2.3+, revision 375f4c8696b4)
  for build.opensuse.org
